# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mail2cb/version'

Gem::Specification.new do |spec|
  spec.name          = "mail2cb"
  spec.version       = Mail2cb::VERSION
  spec.authors       = ["EmergeAdapt"]
  spec.email         = ["development@emergeadapt.com"]
  spec.summary       = %q{Grabs orders from Tyreshopper and posts them to SQS.}
  spec.description   = %q{Basic WIP.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", '~> 11.2', '>= 11.2.2'
  spec.add_development_dependency "awesome_print", "~> 1.7"
  spec.add_development_dependency "rspec", "~> 3.5"
  spec.add_development_dependency "timecop", '~> 0.8.1'
  spec.add_development_dependency "mock-aws-s3", '~> 0.6.0'

  spec.add_dependency 'mysql2', "~> 0.3.17"
  spec.add_dependency 'mail', '~> 2.6', '>= 2.6.4'
  spec.add_dependency 'mail_daemon', '~> 0.0.10'
  spec.add_dependency 'nokogiri', '~> 1.6', '>= 1.6.8'
  spec.add_dependency 'sinatra', '~> 1.4', '>= 1.4.6'
  spec.add_dependency 'sanitize', '~> 4.1'
  spec.add_dependency 'faye', '~> 1.1', '>= 1.1.2'
  spec.add_dependency 'redis', '~> 3.2', '>= 3.2.2'
  spec.add_dependency 'aws-sdk', '~> 2.2', '>= 2.2.2'
  spec.add_dependency 'rest-client', '~> 1.8'

end
