# mail2cb

TODO: Write a gem description

## Installation

Add this line to your application's Gemfile:

    gem 'mail2cb'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mail2cb

## Design

###Gems

*  mail_room - retrieves mail from multiple mailboxes at once and sends them through sidekiq or an http postback
*  mail - mail parsing and sending gem
*  talon - python code to extract the relevant body of the message


### Notes

 * config for office365 smtp needs authentication type 'login' gmail is 'plain'
 * gmail apps authentication is by ip address only, suggest a feature of being able to host the send daemon on another box

## Usage

Ensure the following environment variables are set:

    REDIS_URL=redis://localhost:6379
    CB_API_ENDPOINT=https://login.caseblocks.com
    CB_API_TOKEN=...

    MYSQL_HOST
    MYSQL_PORT
    MYSQL_DATABASE
    MYSQL_USERNAME
    MYSQL_PASSWORD
    FAYE_HOST
    FAYE_PORT
    DEBUG
    AWS_ACCESS_KEY
    AWS_SECRET_KEY
    AWS_MAILROOM_BUCKET
    CRYPT_API_ENDPOINT

And run the daemon from the CLI

    mail2cb

## Contributing

1. Fork it ( https://github.com/[my-github-username]/mail2cb/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
